LIBJXL

Classes | Typedefs
decode_cxx.h File Reference

C++ header-only helper for decode.h. More...

`#include <memory>`
`#include "jxl/decode.h"`
Include dependency graph for decode_cxx.h:

Go to the source code of this file.

## Classes
struct | JxlDecoderDestroyStruct
| Struct to call JxlDecoderDestroy from the JxlDecoderPtr unique_ptr. More...

## Typedefs
typedef std::unique_ptr< JxlDecoder, JxlDecoderDestroyStruct > | JxlDecoderPtr

## Detailed Description

C++ header-only helper for decode.h.

There's no binary library associated with the header since this is a header only library.

## Typedef Documentation

## ◆ JxlDecoderPtr

typedef std::unique_ptr<JxlDecoder, JxlDecoderDestroyStruct> JxlDecoderPtr

std::unique_ptr<> type that calls JxlDecoderDestroy() when releasing the decoder.

Use this helper type from C++ sources to ensure the decoder is destroyed and their internal resources released.